/* 
 Joan Soler-Adillon
 
 moute.joan.cat/
 November 2010.

 Modificación de http://joan.cat/processing/cs/w07/sketches/followme/index.html

 You need the oscP5 library to run this sketch:
 http://www.sojamo.de/libraries/oscP5/
 */

import oscP5.*;
import netP5.*;

//creamos un objeto
follower f;
ArrayList listaFs = new ArrayList();
int totalFs = 500;
MouTe m = new MouTe(7001,7002,7003,7004);


void setup(){
  size(800,600);
  frameRate(25);
  //instanciamos el objeto en el medio de la pantalla, veolocidades 40 y de tamaño 20
  for(int i=0; i<totalFs; i++){
    f = new follower(random(width)//pos x
                    ,random(height)//pos y
                    ,0.1 //acceleración de acercamiento mínima
                    ,0.1 //acceleración de acercamiento máxima
                    ,8 //velocidad límite mínima
                    ,15 //velocidad límite máxima
                    ,2 //tamaño mínimo
                    ,13 //tamaño máximo
                    ); 
    listaFs.add(f);
  }
  noCursor();//cursor(CROSS);
  //smooth();
  noStroke();
}

void draw(){
  //fondo con alfa
  //fill(255,255,0,3);
  //rect(0,0,width,height);
  background(255,255,0);

    m.dibuixaCelles();
    m.dibuixaSilueta();
    m.dibuixaCaixa();
    m.dibuixaCentre();

    m.dibuixaCellesRelatiu();
    m.dibuixaSiluetaRelatiu();
    m.dibuixaCaixaRelatiu();
    m.dibuixaCentreRelatiu(); 

  //ejecutamos el objeto
  for(int i=0; i<totalFs; i++){
    follower f = (follower) listaFs.get(i);
    f.run();
  }
}




