///////////////////////////////////////
///////////////////////////////////////
//Clase follower
class follower{
  //variables
  PVector posicion,velocidad,acceleracion;
  float velocidadAcercamiento;
  int sz; 
  float maximaVelocidad;
  //constructor
  follower(float _x, float _y, float _minimoAcerc, float _maximoAcerc, float _minimoMax, float _maximoMax, int _minimoSz, int _maximoSz){
    posicion = new PVector(_x,_y);
    velocidad = new PVector(0,0);
    acceleracion = new PVector(0,0);
    velocidadAcercamiento = random(_minimoAcerc,_maximoAcerc);
    maximaVelocidad = random(_minimoMax,_maximoMax);
    sz = int(random(_minimoSz,_maximoSz));
  }
  //función run (la que llamamos desde el draw)
  void run(){
    actualitzar();
    dibuixar();
  }
  //función para actualizar posiciones
  void actualitzar(){
    //calculamos la distáncia entre el mouse y la bola en los 2 ejes
    PVector mouse = new PVector(m.getCenterXRelative(),m.getCenterYRelative());
    PVector dir = PVector.sub(mouse,posicion);
    //normalizamos este vector de direccion. Esto es, le damos magnitud 1:
    dir.normalize();
    //y lo multiplicamos por la velocidad:
    dir.mult(velocidadAcercamiento);
    dir.mult(sz);
    //y actualizamos la posición de manera que la bola no acabe de llegar nunca...
    acceleracion = dir;
    velocidad.add(acceleracion);
    velocidad.limit(maximaVelocidad);
    posicion.add(velocidad); 
  }

  //función para dibujar
  void dibuixar(){
    //fill(0,16);
    noStroke();
    fill(0);
    ellipse(posicion.x,posicion.y,sz,sz);
  }

}


